/*-
 *  Copyright 2020 Beuth Hochschule für Technik Berlin, Hochschule für Technik Stuttgart
 * 
 *  This file is part of CityDoctor2.
 *
 *  CityDoctor2 is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  CityDoctor2 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with CityDoctor2.  If not, see <https://www.gnu.org/licenses/>.
 */
package de.hft.stuttgart.citydoctor2.edge;


public class Polygon2dPolygon2dInt {
	
	private Polygon2d mcpPolygon1;
	private Polygon2d mcpPolygon2;
	private PolyLine2d line;
	private IntersectionType intType;

	public Polygon2dPolygon2dInt(Polygon2d mcpPolygon1, Polygon2d mcpPolygon2, PolyLine2d line,
			IntersectionType intType) {
		this.mcpPolygon1 = mcpPolygon1;
		this.mcpPolygon2 = mcpPolygon2;
		this.line = line;
		this.intType = intType;
	}

	public PolyLine2d getPolyLine2d() {
		return line;
	}

	public IntersectionType getIntType() {
		return intType;
	}
	
	public Polygon2d getPolygon1() {
		return mcpPolygon1;
	}

	public Polygon2d getPolygon2() {
		return mcpPolygon2;
	}
}
